import request from '@/utils/request'

// 查询aiSIP外呼任务列表
export function listAiSipCallTask(query) {
  return request({
    url: '/company/aiSipCall/task/list',
    method: 'get',
    params: query
  })
}

// 查询aiSIP外呼任务详细
export function getAiSipCallTask(batchId) {
  return request({
    url: '/company/aiSipCall/task/' + batchId,
    method: 'get'
  })
}

// 新增aiSIP外呼任务
export function addAiSipCallTask(data) {
  return request({
    url: '/company/aiSipCall/task',
    method: 'post',
    data: data
  })
}

// 修改aiSIP外呼任务
export function updateAiSipCallTask(data) {
  return request({
    url: '/company/aiSipCall/task',
    method: 'put',
    data: data
  })
}

// 删除aiSIP外呼任务
export function delAiSipCallTask(batchId) {
  return request({
    url: '/company/aiSipCall/task/' + batchId,
    method: 'delete'
  })
}

// 导出aiSIP外呼任务
export function exportAiSipCallTask(query) {
  return request({
    url: '/company/aiSipCall/task/export',
    method: 'get',
    params: query
  })
}
// 启动aiSIP外呼任务
export function startTask(batchId) {
  return request({
    url: '/company/aiSipCall/task/startTask/' + batchId,
    method: 'post'
  })
}
// 暂停aiSIP外呼任务
export function stopTask(batchId) {
  return request({
    url: '/company/aiSipCall/task/stopTask/' + batchId,
    method: 'post'
  })
}
// 公共导入数据
export function commonImportExcel(data) {
  return request({
    url: '/company/aiSipCall/task/common/importExcel',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': undefined
    }
  })
}
// 下载aiSIP外呼模板
export function downloadTemplateByType(type) {
  return request({
    url: '/company/aiSipCall/task/download/template/' + type,
    method: 'get',
    responseType: 'blob'
  })
}
